org.eclipse.emf.cdo.common.revision.delta

## Interface CDOContainerFeatureDelta

- All Superinterfaces:
    CDOFeatureDelta

      public interface CDOContainerFeatureDelta
      extends CDOFeatureDelta

  A `feature delta` that represents a modification of the `eContainer` feature.
  Author:
    Simon McDuff
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

      `CDOFeatureDelta.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EReference` | `CONTAINER_FEATURE`

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

      `NO_INDEX, UNKNOWN_VALUE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContainerFeatureID()`
    `java.lang.Object` | `getContainerID()`
    `CDOID` | `getResourceID()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

      `accept, apply, applyTo, copy, getFeature, getType, isStructurallyEqual`

- - ### Field Detail

    - #### CONTAINER_FEATURE

          static final EReference CONTAINER_FEATURE

      Since:
        2.0

  - ### Method Detail

    - #### getResourceID

          CDOID getResourceID()

      Since:
        2.0

    - #### getContainerID

          java.lang.Object getContainerID()

      Since:
        2.0

    - #### getContainerFeatureID

          int getContainerFeatureID()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html